Subject: Re: bug#41659: 28.0.50; smime: encryption uses now base64, message not readable

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 24 Jul 2020 17:15:03 +0200

Uwe Brauer <[email-masked]> writes:

> Right, I recall it was a bit of an ordeal to figure it out. I think
> either in emacs wiki there is some information (maybe even I added it),
> but maybe also in the homepage of the epa author Daiki Ueno I found some
> useful information.
>
> Maybe one should add that to info?

I don't think documentation is the real problem here -- these things
should just work without any configuration needed.

For instance, these defaults don't make much sense, I think?

mml-default-encrypt-method => "pgpmime"
mml-smime-use => epg

And where configuration is needed, Emacs should just prompt the user.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no